#pragma once

#include "DayEventValues/DayEventValues.h"
#include "../def.h"

class DayEventWidgets;
class DayEventValues;

/**
* Trida, zajistujici logiku dne.
*/
class Day : public QWidget
{
	Q_OBJECT

public:
	/* Vytvori den s nazvem name_of_day. */
	Day(std::string newNameOfDay, int weekNumber);
	virtual ~Day();

	/* Ulozi hodnoty, ziskane z globalnich promennych. */
	void saveDay();

	/* Vrati nazev dne. */
	std::string getNameOfDay();

	/* Vrati QFrame dne. */
	QFrame* getDayFrame();

	/* Vrati vektor hodnot udalosti. */
	std::vector<DayEventValues*> getDayEvents();

	/* Vrati hodnoty udalosti na pozici index. */
	DayEventValues *getDayEvent(int index);

private:

	std::string nameOfDay;

	int weekNumber;

	/* Frame, ve kterem jsou obsazeny vsechny widgety daneho dne. */
	QFrame* dayFrame;

	/* Hlavni layout jednoho dne. */
	QGridLayout* centralBarLayout;

	/* Oznaceni tydne */
	QLabel* weekLabel;

	/* Cislo tydne. (Vim, ze je to prasarna, ale lepsi zpusob mi nesel.) */
	QLabel* numOfWeekLabel;

	/* Nazev tydne. */
	QLabel* dayName;

	/* Oznaceni pro v cem se pocitaji jednotky, ziskane z akci (snidane, obed, atd.). */
	QLabel* foodLabel;

	/* Oznaceni pro cast ziskani informaci o pohybu. */
	QLabel* activityLabel;

	/* Vector hodnot widgetu v jednom dni. */
	std::vector<DayEventValues*> dayEvents;

	std::vector<DayEventWidgets*> eventsWidgets;
};