#pragma once

#include "../../def.h"
#include "../../BaseConfigs/BaseConfigs.h"

/**
* Trida, udrzujici widgety jedne akce , jako je napr. snidane nebo vecere.
*/
class DayEventWidgets : public QWidget
{
	Q_OBJECT

public:
	/* Vytvori widgety nove akce. */
	DayEventWidgets(char* label);
	virtual ~DayEventWidgets();

	/* Vrati QCheckBox. */
	QCheckBox* getEventCheck();

	/* Vrati DoubleSpinBox. */
	QDoubleSpinBox* getEventBox();

	/* Vrati QLabel pro oznaceni slideru. */
	QLabel* getEventJitterLabelZero();

	/* Vrati QLabel pro oznaceni slideru. */
	QLabel* getEventJitterLabelOne();

	/* Vrati QSlider. */
	QSlider* getEventJitterSlider();

	/* Vrati QTimeEdit. */
	QTimeEdit* getEventTime();

private:

	/* Check box, pro urceni, jestli se ma s danou akci pocitat. */
	QCheckBox* eventCheck;

	/* DoubleSpinBox pro zjisteni hodnot z dane akce (napr. mnozstvi cukru). */
	QDoubleSpinBox* eventBox;

	/* 0 u jitteru. */
	QLabel* eventJitterLabelZero;

	/* 1 u jitteru. */
	QLabel* eventJitterLabelOne;

	/* QSlider, ze ktereho se zjisti jitter. */
	QSlider* eventJitterSlider;

	/* QTimeEdit pro zjisteni casu akce. */
	QTimeEdit* eventTime;
};