
#pragma once

#include "../def.h"

#pragma warning( push )
#pragma warning( disable : 4250 ) // C4250 - 'class1' : inherits 'class2::member' via dominance

/* Definice tridy ThreadObejct pro predavani parametru mezi vlakny. */
class ThreadObject : public QObject
{
	Q_OBJECT

public:
	
	/* Vytvoreni noveho ThreadObejct. */
	ThreadObject(int index, scgms::SPersistent_Filter_Chain_Configuration configuration, scgms::TMetric_Descriptor *metricDescriptor);

	/* Vytvoreni noveho ThreadObejct. */
	ThreadObject(int index, scgms::SPersistent_Filter_Chain_Configuration configuration, std::wstring scenarioFileName, scgms::TMetric_Descriptor *metricDescriptor);

	virtual ~ThreadObject();

	/* Pridani ThreadObejct do fronty. */
	void addToQueue(std::queue<ThreadObject*> queue);

	/* Odebrani ThreadObejct z fronty. */
	ThreadObject* removeFromQueue(std::queue<ThreadObject*> queue);

public:

	/* Index pro nasledne srovnani vysledku po vypoctu. */
	int index;

	/* Promenna konfigurace s pacientem a metrikou. */
	scgms::SPersistent_Filter_Chain_Configuration configuration;

	/* Nazev konfiguracniho souboru pacienta. */
	std::wstring configFileName;

	/* Deskriptor metriky. */
	scgms::TMetric_Descriptor *metricDescriptor;
};

#pragma warning( pop )
