
#include "WelcomeWindow.h"

#include <QtWidgets/QApplication>
#include <QtWidgets/QMessageBox>
#include <QtWidgets/qpushbutton.h>

#include <iostream>

WelcomeWindow::WelcomeWindow() : QMainWindow(nullptr)
{

	// Nastaveni titulku.
	setWindowTitle("DMSDSE");

	// Nastaveni velikosti okna.
	this->setFixedSize(350, 100);

	// Inicializace promennych.
	fw = NULL;
	ew = NULL;

	// Inicalizace widgetu.
	QWidget* centralWidget = new QWidget();
	QGridLayout* centralLayout = new QGridLayout();

	defButton = new QPushButton("Scenario definition");
	defButton->setFixedSize(150, 80);

	execButton = new QPushButton("In-silico evaluation");
	execButton->setFixedSize(150, 80);
	//

	// Rozlozeni widgwtu.
	centralLayout->addWidget(defButton, 0, 0, 1, 1);
	centralLayout->addWidget(execButton, 0, 1, 1, 1);

	centralWidget->setLayout(centralLayout);
	setCentralWidget(centralWidget);
	//

	// Stlaceni tlacitka pro definice scenare.
	connect(defButton, SIGNAL(clicked()), this, SLOT(OnDefButtonClick()));

	// Stlaceni tlacitka pr in-siico evaluaci.
	connect(execButton, SIGNAL(clicked()), this, SLOT(OnExecButtonClick()));
}


WelcomeWindow::~WelcomeWindow()
{

}

void WelcomeWindow::OnDefButtonClick()
{
	// Vytvori se obejkt okna nastroje pro definice scenare.
	fw = new FirstDefWindow();

	// Zobrazi se okno. 
	fw->show();

	// Zavre se soucasne okno.
	this->close();
}

void WelcomeWindow::OnExecButtonClick() 
{
	// Vytvori se obejkt okna nastroje pro in-silico evaluaci.
	ew = new ExecutionWindow();

	// Zobrazi se okno. 
	ew->show();

	// Zavre se soucasne okno.
	this->close();
}
