#include <rtl/scgmsLib.h>

#include <QtWidgets/QApplication>
#include <iostream>

#include "Windows/WelcomeWindow/WelcomeWindow.h"

int MainCalling main(int argc, char** argv)
{
	QApplication app{ argc, argv };

	// just verify that the SmartCGMS core is properly loaded
	if (!scgms::is_scgms_loaded())
	{
		std::wcerr << L"SmartCGMS library is not loaded!" << std::endl << std::endl;

		std::wcerr << L"Make sure the directory structure looks as follows:" << std::endl
			<< L" - this_program.exe" << std::endl
			<< L" - scgms.dll" << std::endl
			<< L" - filters" << std::endl
#ifdef _WIN32
			<< L"  \\- approx.dll" << std::endl
			<< L"  \\- data.dll" << std::endl
#elif defined(APPLE)
			<< L"  \\- libapprox.dylib" << std::endl
			<< L"  \\- libdata.dylib" << std::endl
#else
			<< L"  \\- libapprox.so" << std::endl
			<< L"  \\- libdata.so" << std::endl
#endif
			<< L"  \\- ..." << std::endl << std::endl;

		return -1;
	}

	// Vytvori se objekt pro zobrazeni uvitaciho okna.
	WelcomeWindow* ww = new WelcomeWindow();

	// Zobrazi se uvotaci okno.
	ww->show();

	return app.exec();
}
